      subroutine reset (ts,fs,igr,isyst,ns,isymce,iwarn,icalc)          RESE001
c ----------------------------------------------------------------------RESE002
c     reset transformation, space and initialize symmetry               RESE003
c ----------------------------------------------------------------------RESE004
c     This program module is part of the PhysiSoft X-ray Library        RESE005
c     and may not be sold or reproduced for commercial purposes.        RESE006
c     Although it has been tested carefully, there is no warranty       RESE007
c     regarding accuracy or freedom from side-effects.                  RESE008
c                   (C) 1986-1990 Bernhard Rupp                         RESE009
c ----------------------------------------------------------------------RESE010
      parameter (iat=20)                                                RESE011
      dimension igr(36), fs(3,3,24), ts(3,24), iwarn(iat),icalc(iat)    RESE012
                                                                        RESE013
      isyst=0                                                           RESE014
      ns=0                                                              RESE015
      isymce=0                                                          RESE016
c --- reset spacgrp symbols -                                           RESE017
      do 0001 i=1,36                                                    RESE018
 0001       igr(i)=' '                                                  RESE019
                                                                        RESE020
c --- reset transformation matrix -                                     RESE021
      do 0002 i=1,3                                                     RESE022
         do 0002 j=1,3                                                  RESE023
            do 0002 k=1,24                                              RESE024
               ts(i,k)=0.0                                              RESE025
               fs(i,j,k)=0.0                                            RESE026
 0002 continue                                                          RESE027
                                                                        RESE028
c --- unit transformation for trivial position k=1                      RESE029
      do 0003 i=1,3                                                     RESE030
 0003    fs(i,i,1)=1.0                                                  RESE031
                                                                        RESE032
c --- reset warning flag and icalc                                      RESE033
      do 0004 i=1,iat                                                   RESE034
         icalc(i)=0                                                     RESE035
 0004    iwarn(i)=0                                                     RESE036
                                                                        RESE037
      return                                                            RESE038
      end                                                               RESE039
                                                                        RESE040
                                                                        RESE041
